Skip to main content
`Ctrl`+`K`

# PetscFVFaceGeom

Data structure (C struct) for storing information about face geometry for a finite volume method.

## Synopsis

    typedef struct {
      PetscReal   normal[3];   /* Area-scaled normals */
      PetscReal   centroid[3]; /* Location of centroid (quadrature point) */
      PetscScalar grad[2][3];  /* Face contribution to gradient in left and right cell */
    } PetscFVFaceGeom;

## Note

The components are

      PetscReal   normal[3]   - Area-scaled normals
      PetscReal   centroid[3] - Location of centroid (quadrature point)
      PetscScalar grad[2][3]  - Face contribution to gradient in left and right cell

## See Also

`PetscFVCellGeom`, `DMPlexComputeGeometryFVM()`

## Level

beginner

## Location

include/petscfvtypes.h

## Examples

src/ts/tutorials/ex11.c
src/ts/tutorials/ex52.c
src/ts/tutorials/ex11_sa.c

Index of all FV routines
Table of Contents for all manual pages
Index of all manual pages